include ../../../../../layout/components/rodapeCadastro

#etapa-enquadramento
	section
		div.row

			.col-xs-12.col-md-8
				blockquote.success
					h4.nome-campo Licença Solicitada:
					div(ng-repeat="licenca in cadastro.dadosCaracterizacao.tiposLicencaEmAndamento")
						h5.info {{licenca.nome}}

				blockquote.success(ng-repeat='atividadeCaracterizacao in cadastro.dadosCaracterizacao.atividadesCaracterizacao | existeAtividadeCaracterizacao')
					h4.nome-campo Tipologia:
					h5.info {{atividadeCaracterizacao.atividade.tipologia.nome}}

					h4.nome-campo Atividade(s) Licenciada(s):
					ul
						li
							span.textos-enquadramento {{atividadeCaracterizacao.atividade.nome}} - {{atividadeCaracterizacao.isPrincipal === true ? "Atividade principal" : "Atividade complementar" }}
							ul
								li(ng-repeat='atividadeCnae in atividadeCaracterizacao.atividadesCnae')
									span.textos-cnaes(ng-if="empreendimento.empreendimentoEU.pessoa.cpf")
										b CNAE:&nbsp
										| {{atividadeCnae.nome}}
									span.textos-cnaes(ng-if="empreendimento.empreendimentoEU.pessoa.cnpj")
										b CNAE:&nbsp
										| {{atividadeCnae.codigo}} - {{atividadeCnae.nome}}
								li
									b Porte:&nbsp
									| {{atividadeCaracterizacao.porteEmpreendimento.nome}}
								li
									b Potencial Poluidor Degradador - PPD:&nbsp
									| {{atividadeCaracterizacao.atividade.potencialPoluidor.valorPpd}}
								li
									b Código:&nbsp
									| {{atividadeCaracterizacao.atividade.codigo}} - {{atividadeCaracterizacao.atividade.nome}}
								li
									b Estudo disponibilizado:&nbsp
									| {{atividadeCaracterizacao.atividade.tipoEstudo}}

							h5.no-margin-bottom Parâmetros:
							div.div-params-enquadramento
								ul
									li(ng-repeat='atividadeCaracterizacaoParametro in atividadeCaracterizacao.atividadeCaracterizacaoParametros')
										span.textos-enquadramento {{atividadeCaracterizacaoParametro.parametroAtividade.codigo}} - {{getDescricao(atividadeCaracterizacao,atividadeCaracterizacaoParametro)}}:&nbsp;
										| {{ etapaEnquadramento.formataParametros(atividadeCaracterizacaoParametro.valorParametro, atividadeCaracterizacaoParametro.parametroAtividade.casasDecimais)}}

				blockquote(ng-if="!etapaEnquadramento.isRetificacao")
					p
						| A emissão da licença está condicionada à confirmação do pagamento da(s) guia(s) gerada(s) e à aprovação do IMASUL. As movimentações processuais serão encaminhadas para o e-mail cadastrado e podem ser consultadas em seu cadastro no sistema de Licenciamento.

					//- a.traditional(ng-href="{{getLinkTabelaValoresTaxa()}}", target="_blank")
						| Tabela vigente com valores das taxas de licenciamento do IMASUL

			.col-xs-12.col-md-4

				div.panel.panel-success(ng-if="!etapaEnquadramento.isRetificacao")
					div.panel-body
						| Informações de pagamento
					div.panel-footer
						.media-div
							.media-context
								div(ng-if="cadastro.modo === 'Cadastrar'" ng-repeat="atividadeCaracterizacao in cadastro.dadosCaracterizacao.atividadesCaracterizacao")
									.row.relative
										span.col-md-8 {{atividadeCaracterizacao.atividade.nome}}:
										span.col-md-4.text-right.bottom-aligner
											strong.strong-padding(ng-if='atividadeCaracterizacao.atividade.potencialPoluidor.valorPpd === 0')
												| Isento
											strong.strong-padding(ng-if='atividadeCaracterizacao.atividade.potencialPoluidor.valorPpd > 0')
												| R$ {{atividadeCaracterizacao.valorTaxaLicenciamento | number: 2}}

									hr.hr-small

								div(ng-if="cadastro.modo !== 'Cadastrar'")
									.row
										span.col-md-8 {{cadastro.dadosCaracterizacao.tipoLicenca.nome}}:
										span.col-md-4.text-right
											strong.strong-padding(ng-if='etapaEnquadramento.isCaracterizacaoIsento()')
												| Isento
											strong.strong-padding(ng-if='!etapaEnquadramento.isCaracterizacaoIsento()')
												| R$ {{cadastro.dadosCaracterizacao.valorTotalTaxaLicenciamento | number: 2}}

						.row.hr-small
							span.col-md-8 Publicação:
							span.col-md-4.text-right
								strong.strong-padding
									| R$ {{cadastro.dadosCaracterizacao.taxaPublicacao | number: 2}}
						hr.hr-small
						.row.hr-small
							span.col-md-8 Total geral:
							span.col-md-4.text-right
								// quando taxa de expediente e de licenciamento são isentas
								strong.strong-padding(ng-if="cadastro.modo !== 'Visualizar' && etapaEnquadramento.isEmpreendimentoIsento()")
									| Isento
								// quando alguma taxa não é isenta
								strong.strong-padding(ng-if="cadastro.modo !== 'Visualizar' && !etapaEnquadramento.isEmpreendimentoIsento()")
									| R$ {{etapaEnquadramento.getTotalGeral() | number: 2}}

								strong.strong-padding(ng-if="cadastro.modo === 'Visualizar' && etapaEnquadramento.isEmpreendimentoIsento()")
									| Isento
								strong.strong-padding(ng-if="cadastro.modo === 'Visualizar' && !etapaEnquadramento.isEmpreendimentoIsento()")
									| R$ {{cadastro.dadosCaracterizacao.tipoLicenca.valorDae | number: 2}}

				div.panel-footer.text-left(ng-if="!etapaEnquadramento.isRetificacao")

					b Atenção:

					ul.left-padding(ng-if="etapaEnquadramento.isEmpreendimentoIsento()")
						li
							i Ao concluir sua solicitação, seu processo será analisado pelo IMASUL.
						li
							b
								i Posteriormente à aprovação será gerada a licença solicitada.

					ul.left-padding(ng-if="!etapaEnquadramento.isEmpreendimentoIsento() && etapaEnquadramento.isCaracterizacaoIsento() ")
						//- li
						//- 	i Ao concluir sua solicitação, será emitida uma Taxa de Expediente. Após o pagamento da Taxa de Expediente seu processo será analisado pelo IMASUL.
						li
							b
								i Posteriormente à aprovação será gerada a licença solicitada.

					ul.left-padding(ng-if="!etapaEnquadramento.isEmpreendimentoIsento() && !etapaEnquadramento.isCaracterizacaoIsento()")
						li
							i Ao concluir sua solicitação, será emitida a guia de pagamento da licença. Após o pagamento da guia seu processo será analisado pelo IMASUL.
							b
						li
							b
								i Posteriormente à aprovação da análise será gerada a licença ambiental.&nbsp;



		+rodapeCadastro('etapaEnquadramento')
